var e;
(e =
  "function" == typeof Symbol && "symbol" == typeof Symbol.iterator
    ? function (e) {
        return typeof e;
      }
    : function (e) {
        return e &&
          "function" == typeof Symbol &&
          e.constructor === Symbol &&
          e !== Symbol.prototype
          ? "symbol"
          : typeof e;
      }),
  (function (o) {
    "object" == ("undefined" == typeof exports ? "undefined" : e(exports)) &&
    "undefined" != typeof module
      ? (module.exports = o())
      : "function" == typeof define && define.amd
      ? define([], o)
      : (("undefined" != typeof window
          ? window
          : "undefined" != typeof global
          ? global
          : "undefined" != typeof self
          ? self
          : this
        ).markdownitSub = o());
  })(function () {
    return (function e(o, n, r) {
      function t(f, i) {
        if (!n[f]) {
          if (!o[f]) {
            var p = "function" == typeof require && require;
            if (!i && p) return p(f, !0);
            if (u) return u(f, !0);
            var s = new Error("Cannot find module '" + f + "'");
            throw ((s.code = "MODULE_NOT_FOUND"), s);
          }
          var c = (n[f] = { exports: {} });
          o[f][0].call(
            c.exports,
            function (e) {
              return t(o[f][1][e] || e);
            },
            c,
            c.exports,
            e,
            o,
            n,
            r
          );
        }
        return n[f].exports;
      }
      for (
        var u = "function" == typeof require && require, f = 0;
        f < r.length;
        f++
      )
        t(r[f]);
      return t;
    })(
      {
        1: [
          function (e, o) {
            function n(e, o) {
              var n,
                t,
                u = e.posMax,
                f = e.pos;
              if (126 !== e.src.charCodeAt(f)) return !1;
              if (o) return !1;
              if (f + 2 >= u) return !1;
              for (e.pos = f + 1; e.pos < u; ) {
                if (126 === e.src.charCodeAt(e.pos)) {
                  n = !0;
                  break;
                }
                e.md.inline.skipToken(e);
              }
              return n && f + 1 !== e.pos
                ? (t = e.src.slice(f + 1, e.pos)).match(/(^|[^\\])(\\\\)*\s/)
                  ? ((e.pos = f), !1)
                  : ((e.posMax = e.pos),
                    (e.pos = f + 1),
                    (e.push("sub_open", "sub", 1).markup = "~"),
                    (e.push("text", "", 0).content = t.replace(r, "$1")),
                    (e.push("sub_close", "sub", -1).markup = "~"),
                    (e.pos = e.posMax + 1),
                    (e.posMax = u),
                    !0)
                : ((e.pos = f), !1);
            }
            var r = /\\([ \\!"#$%&'()*+,.\/:;<=>?@[\]^_`{|}~-])/g;
            o.exports = function (e) {
              e.inline.ruler.after("emphasis", "sub", n);
            };
          },
          {},
        ],
      },
      {},
      [1]
    )(1);
  });
